# [−] List of all items

### Structs

- x86_64::Avx2Machine
- x86_64::NoA1
- x86_64::NoA2
- x86_64::NoNI
- x86_64::NoS3
- x86_64::NoS4
- x86_64::SseMachine
- x86_64::YesA1
- x86_64::YesA2
- x86_64::YesNI
- x86_64::YesS3
- x86_64::YesS4

### Unions

- x86_64::vec128_storage
- x86_64::vec256_storage
- x86_64::vec512_storage

### Traits

- AndNot
- ArithOps
- BSwap
- BitOps0
- BitOps128
- BitOps32
- BitOps64
- LaneWords4
- Machine
- MultiLane
- RotateEachWord128
- RotateEachWord32
- RotateEachWord64
- Store
- StoreBytes
- Swap64
- UnsafeFrom
- VZip
- Vec2
- Vec4
- Words4
- u128x1
- u128x2
- u128x4
- u32x4
- u32x4x2
- u32x4x4
- u64x2
- u64x2x2
- u64x2x4
- u64x4

### Macros

- dispatch
- dispatch_light128
- dispatch_light256

### Typedefs

- x86_64::AVX
- x86_64::AVX2
- x86_64::SSE2
- x86_64::SSE41
- x86_64::SSSE3

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g., `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g., `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g., `str,u8` or `String,struct:Vec,test`)